<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// hidden values used for 'infinite scroll' feature
echo "<div class='dsm-fb-photos-page-id display-none'>{$dsm_facebook_photos->fb_page_id}</div>";
echo "<div class='dsm-fb-photos-next-page display-none'>{$dsm_facebook_photos->next_page}</div>";
echo "<div class='dsm-fb-album-id display-none'>{$dsm_facebook_photos->album_id}</div>";

// div id to use for autolinks
echo "<div id='links'>";

// loop through albums
for($x=0; $x<$dsm_facebook_photos->photo_count; $x++){

	// if your want to load the largest image size
	$source_large = isset($obj['data'][$x]['images'][0]['source']) ? $obj['data'][$x]['images'][0]['source'] : "";

	// default large image, if you want to use larger image, use the code above
	// $source_large = isset($obj['data'][$x]['images'][1]['source']) ? $obj['data'][$x]['images'][1]['source'] : "";

	// source for thumbnail
	$source = isset($obj['data'][$x]['source']) ? $obj['data'][$x]['source'] : "";

	$id = isset($obj['data'][$x]['id']) ? $obj['data'][$x]['id'] : 0;
	$name = isset($obj['data'][$x]['name']) ? $obj['data'][$x]['name'] : "No description.";
	$description = isset($obj['data'][$x]['description']) ? $obj['data'][$x]['description'] : "No description.";
	$link = isset($obj['data'][$x]['link']) ? $obj['data'][$x]['link'] : "";
	$likes_count = isset($obj['data'][$x]['likes']['summary']['total_count'])
					? $dsm_facebook_photos->util->formatCount($obj['data'][$x]['likes']['summary']['total_count']) : "";
	$comments_count = isset($obj['data'][$x]['comments']['summary']['total_count'])
					? $dsm_facebook_photos->util->formatCount($obj['data'][$x]['comments']['summary']['total_count']) : "";


	$post_html_title="<span class='album-numbers'>"
				. "{$likes_count} <i class='fa fa-thumbs-o-up'></i>"
			. "</span>"
			. "<span class='album-numbers'>"
				. "{$comments_count} <i class='fa fa-comments-o'></i>"
			. "</span>"
			. "<span class='album-numbers'>"
				. "<a href='{$link}' target='_blank' title='View on Facebook'><i class='fa fa-facebook-official'></i></a>"
			. "</span>"
			. htmlentities($name);

	$lc_link="likes_comments.php?post_id={$id}";

	echo "<div class='col-md-4 col-sm-12 col-xs-12 item_box'>";
		echo "<div class='item-holder'>";
			echo "<a href=\"{$source_large}\" title=\"{$name}\" data-gallery>";
				echo "<div class='photo-thumb' title=\"{$name}\" style='background: url({$source}) 0% 50% / cover no-repeat;'></div>";
			echo "</a>";
			echo "<div class='item-details'>";
				echo "<div class='post-html-title'>{$post_html_title}</div>";

				echo "<a href='{$lc_link}' style='text-decoration:none;' data-toggle='modal' data-target='#comments-modal' ";
				echo "data-page-name=\"Comments\" ";
				echo "data-post-description=\"{$name}\" ";
				echo ">";
					echo "<span class='album-numbers' title='{$likes_count} Likes'>";
						echo "{$likes_count} <i class='fa fa-thumbs-o-up'></i>";
					echo "</span>";
					echo "<span class='album-numbers' title='{$comments_count} Comments'>";
						echo "{$comments_count} <i class='fa fa-comments-o'></i>";
					echo "</span>";
				echo "</a>";

				echo "<a href='{$link}' target='_blank' title='View picture on Facebook'>";
					echo "<i class='fa fa-facebook-official'></i>";
				echo "</a>";

			echo "</div>";
		echo "</div>";
	echo "</div>";
}

echo "</div>";
?>
